Bug 600121 - KCM UI Not Suitable for netbook interfaces
Summary: KCM UI Not Suitable for netbook interfaces
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kcm_touchpad
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-04 01:41 UTC by John Floyd
Modified: 2011-02-16 19:20 UTC (History)
2 users (show)

Fixed In Version: kcm_touchpad-0.3.1-6.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-16 19:18:36 UTC


Attachments (Terms of Use)

Description John Floyd 2010-06-04 01:41:27 UTC
Description of problem:
The window is too big on a limited (netbook) display.

Version-Release number of selected component (if applicable):


How reproducible:
Use

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
Needs scroll bars for display or a better breakup of existing functions into small windows.

Additional info:
This is a useful tool on small displays (netbooks) which fairly universally use these touchpads.

Most probably on all current releases of fedora as well.

Comment 1 Ryan Rix 2010-06-05 07:20:08 UTC
Thanks for reporting this issue John.

Within the next few days I will tack this off my To-Do list. My netbook is currently being RMA'd, leaving me with a touchpad-less Thinkpad but in the meantime I will rework the UI and have an updated UI to test and consequently push upstream.

Comment 2 Fedora Admin XMLRPC Client 2011-02-08 09:10:47 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Kevin Kofler 2011-02-08 10:30:11 UTC
The Scrolling tab (the highest one) now gets a vertical scrollbar if needed. I hope this will be sufficient to fix the problem.

Comment 4 Kevin Kofler 2011-02-08 10:30:40 UTC
(I fixed this in the Rawhide package and will push an update to testing soon.)

Comment 5 Fedora Update System 2011-02-08 12:59:49 UTC
kcm_touchpad-0.3.1-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kcm_touchpad-0.3.1-6.fc14

Comment 6 Fedora Update System 2011-02-08 13:02:58 UTC
kcm_touchpad-0.3.1-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/kcm_touchpad-0.3.1-6.fc13

Comment 7 Fedora Update System 2011-02-08 22:58:20 UTC
kcm_touchpad-0.3.1-6.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kcm_touchpad'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/kcm_touchpad-0.3.1-6.fc14

Comment 8 Fedora Update System 2011-02-16 19:18:20 UTC
kcm_touchpad-0.3.1-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-02-16 19:20:14 UTC
kcm_touchpad-0.3.1-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.